> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fleet Devices



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/device-simulator/fleets/{job_id}/devices
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/device-simulator/fleets/{job_id}/devices:
    get:
      summary: Get Fleet Devices
      operationId: integrations_api_api_v2_device_simulator_fleets_get_fleet_devices
      parameters:
        - in: path
          name: job_id
          schema:
            format: uuid
            title: Job Id
            type: string
          required: true
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
        - in: query
          name: page
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: q
          schema:
            default: ''
            maxLength: 128
            title: Q
            type: string
          required: false
        - in: query
          name: stage
          schema:
            default: ''
            maxLength: 32
            title: Stage
            type: string
          required: false
        - in: query
          name: failed_only
          schema:
            default: false
            title: Failed Only
            type: boolean
          required: false
      responses:
        '200':
          description: OK
      security:
        - OAuth2: []
components:
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````